Bug 213342 - PCI: Bus #04 (-#07) is hidden behind transparent bridge #03 (-#04)
PCI: Bus #04 (-#07) is hidden behind transparent bridge #03 (-#04)
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-31 16:53 EST by Jake Gage
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 15:58:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jake Gage 2006-10-31 16:53:41 EST
Description of problem:
The kernel instructs the user to report this problem to kernel maintainence in
/var/log/messages.

Version-Release number of selected component (if applicable):
kernel-2.6.18-1.2798.fc6

How reproducible:
Always.

Steps to Reproduce:
1. Boot machine.
2. less /var/log/messages
  
Actual results:
-- from /var/log/messages:
Oct 30 10:03:05 x94-196-118-dhcp kernel: NET: Registered protocol family 16
Oct 30 10:03:05 x94-196-118-dhcp kernel: ACPI: bus type pci registered
Oct 30 10:03:05 x94-196-118-dhcp kernel: PCI: Using MMCONFIG
Oct 30 10:03:05 x94-196-118-dhcp kernel: Setting up standard PCI resources
Oct 30 10:03:05 x94-196-118-dhcp kernel: ACPI (exconfig-0455): Dynamic SSDT Load
- OemId [ LMPWR] OemTableId [ DELLLOM] [20060707]
Oct 30 10:03:05 x94-196-118-dhcp kernel: ACPI: Interpreter enabled
Oct 30 10:03:05 x94-196-118-dhcp kernel: ACPI: Using IOAPIC for interrupt routing
Oct 30 10:03:05 x94-196-118-dhcp kernel: ACPI: PCI Root Bridge [PCI0] (0000:00)
Oct 30 10:03:05 x94-196-118-dhcp kernel: ACPI: Assume root bridge [\_SB_.PCI0]
bus is 0
Oct 30 10:03:05 x94-196-118-dhcp kernel: PCI: Ignoring BAR0-3 of IDE controller
0000:00:1f.2
Oct 30 10:03:05 x94-196-118-dhcp kernel: PCI: Transparent bridge - 0000:00:1e.0
Oct 30 10:03:05 x94-196-118-dhcp kernel: PCI: Bus #04 (-#07) is hidden behind
transparent bridge #03 (-#04) (try 'pci=assign-busses')
Oct 30 10:03:05 x94-196-118-dhcp kernel: Please report the result to
linux-kernel to fix this permanently
Oct 30 10:03:05 x94-196-118-dhcp kernel: ACPI: PCI Interrupt Link [LNKA] (IRQs
*9 10 11)
Oct 30 10:03:05 x94-196-118-dhcp kernel: ACPI: PCI Interrupt Link [LNKB] (IRQs 5
7) *3
Oct 30 10:03:05 x94-196-118-dhcp kernel: ACPI: PCI Interrupt Link [LNKC] (IRQs 9
10 11) *5
Oct 30 10:03:05 x94-196-118-dhcp kernel: ACPI: PCI Interrupt Link [LNKD] (IRQs 5
7 9 10 *11)
Oct 30 10:03:05 x94-196-118-dhcp kernel: ACPI: PCI Interrupt Link [LNKE] (IRQs 3
4 5 6 7 9 *10 11 12 14 15)
Oct 30 10:03:05 x94-196-118-dhcp kernel: ACPI: PCI Interrupt Link [LNKF] (IRQs 3
4 5 6 7 9 10 *11 12 14 15)
Oct 30 10:03:05 x94-196-118-dhcp kernel: ACPI: PCI Interrupt Link [LNKG] (IRQs 3
4 5 6 7 *9 10 11 12 14 15)
Oct 30 10:03:05 x94-196-118-dhcp kernel: ACPI: PCI Interrupt Link [LNKH] (IRQs 3
4 *5 6 7 9 10 11 12 14 15)
Oct 30 10:03:05 x94-196-118-dhcp kernel: Linux Plug and Play Support v0.97 (c)
Adam Belay
Oct 30 10:03:05 x94-196-118-dhcp kernel: pnp: PnP ACPI init
Oct 30 10:03:05 x94-196-118-dhcp kernel: pnp: PnP ACPI: found 13 devices
Oct 30 10:03:05 x94-196-118-dhcp kernel: usbcore: registered new driver usbfs
Oct 30 10:03:05 x94-196-118-dhcp kernel: usbcore: registered new driver hub
Oct 30 10:03:05 x94-196-118-dhcp kernel: PCI: Using ACPI for IRQ routing
Oct 30 10:03:05 x94-196-118-dhcp kernel: PCI: If a device doesn't work, try
"pci=routeirq".  If it helps, post a report


Expected results:
Unknown, but I'm reporting.  I'm placeholding this before I reboot the system
with the recommended boot parameter.
Comment 1 Jake Gage 2006-10-31 17:01:13 EST
and here are the results with "pci=assign-busses" passed as a kernel starup
parameter:

Oct 31 15:56:59 x94-196-118-dhcp kernel: NET: Registered protocol family 16
Oct 31 15:56:59 x94-196-118-dhcp kernel: ACPI: bus type pci registered
Oct 31 15:56:59 x94-196-118-dhcp kernel: PCI: Using MMCONFIG
Oct 31 15:56:59 x94-196-118-dhcp kernel: Setting up standard PCI resources
Oct 31 15:56:59 x94-196-118-dhcp kernel: ACPI (exconfig-0455): Dynamic SSDT Load
- OemId [ LMPWR] OemTableId [ DELLLOM] [20060707]
Oct 31 15:56:59 x94-196-118-dhcp kernel: ACPI: Interpreter enabled
Oct 31 15:56:59 x94-196-118-dhcp kernel: ACPI: Using IOAPIC for interrupt routing
Oct 31 15:56:59 x94-196-118-dhcp kernel: ACPI: PCI Root Bridge [PCI0] (0000:00)
Oct 31 15:56:59 x94-196-118-dhcp kernel: ACPI: Assume root bridge [\_SB_.PCI0]
bus is 0
Oct 31 15:56:59 x94-196-118-dhcp kernel: PCI: Ignoring BAR0-3 of IDE controller
0000:00:1f.2
Oct 31 15:56:59 x94-196-118-dhcp kernel: PCI: Transparent bridge - 0000:00:1e.0
Oct 31 15:56:59 x94-196-118-dhcp kernel: ACPI: PCI Interrupt Link [LNKA] (IRQs 9
10 11) *3
Oct 31 15:56:59 x94-196-118-dhcp kernel: ACPI: PCI Interrupt Link [LNKB] (IRQs *5 7)
Oct 31 15:57:00 x94-196-118-dhcp kernel: ACPI: PCI Interrupt Link [LNKC] (IRQs
*9 10 11)
Oct 31 15:57:00 x94-196-118-dhcp kernel: ACPI: PCI Interrupt Link [LNKD] (IRQs 5
*7 9 10 11)
Oct 31 15:57:00 x94-196-118-dhcp kernel: ACPI: PCI Interrupt Link [LNKE] (IRQs 3
4 5 6 7 9 *10 11 12 14 15)
Oct 31 15:57:00 x94-196-118-dhcp kernel: ACPI: PCI Interrupt Link [LNKF] (IRQs 3
4 5 6 7 9 10 *11 12 14 15)
Oct 31 15:57:00 x94-196-118-dhcp kernel: ACPI: PCI Interrupt Link [LNKG] (IRQs 3
4 5 6 7 *9 10 11 12 14 15)
Oct 31 15:57:00 x94-196-118-dhcp kernel: ACPI: PCI Interrupt Link [LNKH] (IRQs 3
4 5 6 *7 9 10 11 12 14 15)
Oct 31 15:57:00 x94-196-118-dhcp kernel: Linux Plug and Play Support v0.97 (c)
Adam Belay
Oct 31 15:57:00 x94-196-118-dhcp kernel: pnp: PnP ACPI init
Oct 31 15:57:00 x94-196-118-dhcp kernel: pnp: PnP ACPI: found 14 devices
Oct 31 15:57:00 x94-196-118-dhcp kernel: usbcore: registered new driver usbfs
Oct 31 15:57:00 x94-196-118-dhcp kernel: usbcore: registered new driver hub
Oct 31 15:57:00 x94-196-118-dhcp kernel: PCI: Using ACPI for IRQ routing
Oct 31 15:57:00 x94-196-118-dhcp kernel: PCI: If a device doesn't work, try
"pci=routeirq".  If it helps, post a report
Comment 2 Jake Gage 2006-10-31 17:02:52 EST
(smiles) On a personal note, can anybody tell me what this means?
Comment 3 James 2006-11-17 08:12:21 EST
For what it's worth, I see this too:

PCI quirk: region 1000-107f claimed by ICH4 ACPI/GPIO/TCO
PCI quirk: region 1300-133f claimed by ICH4 GPIO
PCI: Ignoring BAR0-3 of IDE controller 0000:00:1f.1
PCI: Transparent bridge - 0000:00:1e.0
PCI: Bus #02 (-#05) is hidden behind transparent bridge #01 (-#01) (try
'pci=assign-busses')
Please report the result to linux-kernel to fix this permanently
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PCI2._PRT]

I've not noticed any ill-effects, though, and using pci=assign-busses just seems
to suppress the message.
Comment 4 Jake Gage 2006-11-20 18:47:24 EST
I haven't noticed any effects I can relate to this error, either.  I've got some
instabilites with my PCI network card, but they persist after passing the
suggested messages to the kernel.
Comment 5 Chuck Ebbert 2007-08-22 15:58:55 EDT
This is just a warning, it should be reported directly to <bk@suse.de> according
to the latest kernel updates.

Note You need to log in before you can comment on or make changes to this bug.